com.fasterxml.jackson.core

## Class JsonParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.core.JsonParseException

All Implemented Interfaces:
  Serializable

    public class JsonParseException
    extends JsonProcessingException

Exception type for parsing problems, used when non-well-formed content (content that does not conform to JSON syntax as per specification) is encountered.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

`_location`

### Constructor Summary

Constructors
Constructor and Description
`JsonParseException(String msg, JsonLocation loc)`
`JsonParseException(String msg, JsonLocation loc, Throwable root)`

### Method Summary

### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

`getLocation, getMessage, getMessageSuffix, getOriginalMessage, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JsonParseException

    public JsonParseException(String msg,
                      JsonLocation loc)

#### JsonParseException

    public JsonParseException(String msg,
                      JsonLocation loc,
                      Throwable root)